package com.qmth.qrzk.dao;

import java.util.List;

import com.qmth.qrzk.repository.user.model.Question;

public interface IQuestionDao {

	public int addQuestion(Question question);
	
	public List<Question> selectQuestion(Question question,int showCount,int currentPage);
	
	public int getCount(Question question);
	
	public int importQuestion(Question question);
	
	public Question searchById(int id);
	
	public void updateQuestion(Question question);
	
	public List<Question> generatePaperQuestion(Question question);
	
	public int updateStatus(Question question);
	
	public int searchAuditCount(Question question,String condition1,String condition2);
	
	public List<Question> searchAudit(Question question,int showCount,int currentPage,String condition1,String condition2);
	
	public List<Question> findAll();
	
	public List<Question> getStatusCount();
	
	public int getMaxChapterByCourseId(int courseId);
	
	public int getCountByCondition(Question question);
	
	public int getCountByChapter(Question question);
	
	public List<Question> findRecent3YearQues(Question question);

	public List<Question> queryQuestionKeyTJ(Question question);
}
